/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 流程活动关系
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_def_process_action")
@DynamicInsert
@DynamicUpdate
public class SpDefProcessAction extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_spId = "spId";
  public static final String KEY_actionId = "actionId";
  public static final String KEY_mountId = "mountId";
  public static final String KEY_actParams = "actParams";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 状态流程定义<br>
   */
    @Column(name = "sp_id")
  private String spId;
  /**
   * 活动<br>
   */
    @Column(name = "action_id")
  private String actionId;
  /**
   * 挂载点 状态或者事件<br>
   */
    @Column(name = "mount_id")
  private String mountId;
  /**
   * 活动数据<br>
   */
    @Column(name = "act_params")
  private String actParams;
  /**
   * 租户<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 状态流程定义<br>
   */
  public String getSpId()
  {
      return spId;
    }

  /**
   * 状态流程定义<br>
   *
   * @param spId 状态流程定义
   */
  public void setSpId(String spId)
  {
      this.spId = spId;
    }
  /**
   * 活动<br>
   */
  public String getActionId()
  {
      return actionId;
    }

  /**
   * 活动<br>
   *
   * @param actionId 活动
   */
  public void setActionId(String actionId)
  {
      this.actionId = actionId;
    }
  /**
   * 挂载点 状态或者事件<br>
   */
  public String getMountId()
  {
      return mountId;
    }

  /**
   * 挂载点 状态或者事件<br>
   *
   * @param mountId 挂载点 状态或者事件
   */
  public void setMountId(String mountId)
  {
      this.mountId = mountId;
    }
  /**
   * 活动数据<br>
   */
  public String getActParams()
  {
      return actParams;
    }

  /**
   * 活动数据<br>
   *
   * @param actParams 活动数据
   */
  public void setActParams(String actParams)
  {
      this.actParams = actParams;
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpDefProcessAction()
  {
  }

}
